## passportjs-oauth 0.1.7

=== Makefile ===
NODE = node
TEST = ./node_modules/.bin/vows
TESTS ?= test/*-test.js test/**/*-test.js

test:
	@NODE_ENV=test NODE_PATH=lib $(TEST) $(TEST_FLAGS) $(TESTS)

docs: docs/api.html

docs/api.html: lib/passport-oauth/*.js
	dox \
		--title Passport-OAuth \
		--desc "OAuth 1.0 and 2.0 authentication strategies for Passport" \
		$(shell find lib/passport-oauth/* -type f) > $@

docclean:
	rm -f docs/*.{1,html}

.PHONY: test docs docclean

=== debian/changelog ===
passportjs-oauth (0.1.7-1) unstable; urgency=low

  * Initial release

 -- David Paleino <dapal@debian.org>  Mon, 09 Apr 2012 21:04:23 +0200

=== debian/control ===
Source: passportjs-oauth
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.3
Homepage: http://passportjs.org/
Vcs-Git: git://git.debian.org/pkg-javascript/passportjs-oauth.git
Vcs-Browser: http://git.debian.org/?p=pkg-javascript/passportjs-oauth.git;a=summary

Package: node-passport-oauth
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-passport
 , node-oauth
Description: simple, unobtrusive authentication system for Node.js - OAuth strategy
 Passport is an authentication middleware for Node.js. Extremely flexible and
 modular, Passport can be unobtrusively dropped in to any Connect/Express-based
 web application.
 .
 It provides a comprehensive set of authentication systems: using a username
 and password, social networks credentials, OpenID, and more.
 .
 This package provide the OAuth authentication strategy.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
override_dh_auto_install:
override_dh_auto_test:
	# do nothing

=== debian/watch ===
version=3
http://githubredir.debian.net/github/jaredhanson/passport-oauth/v(\d+.*)\.tar\.gz
